<main>
	<section>
		<article class="box">
			<h1>Bônus</h1>
			<p>
				Esta seção é dedicada às operações que envolvem os bônus de
				usuários. Nas seções abaixo é possível consultar, criar e conceder
				bônus aos usuários.
			</p>
		</article>
	</section>

	<section class="grid">
		{% include 'admin/partials/create_bonus.html' %}
		{% include 'admin/partials/assign_bonus.html' %}
		<AssignBonus />
	</section>

	<section class="grid">
		<article class="box">
			<h2>Pessoas</h2>

			<input type="search" name="busca" placeholder="Pesquisar por nome..." hx-target="#people-table" hx-get="{{ url_for('bikesp._admin_getpessoas') }}"
				hx-trigger="input changed delay:500ms, search" hx-target="next #people-table" hx-indicator=".htmx-indicator" />
			<div id="people-table" hx-get="{{ url_for('bikesp._admin_getpessoas') }}" hx-trigger="load"></div>
		</article>

		<article class="box">
			<h2>Bônus</h2>

			<input type="search" name="busca" placeholder="Pesquisar por nome..." hx-target="#bonus-table" hx-get="{{ url_for('bikesp._admin_getbonus') }}"
				hx-trigger="input changed delay:500ms, search" hx-target="next #bonus-table" hx-indicator=".htmx-indicator" />
			<div id="bonus-table" hx-get="{{ url_for('bikesp._admin_getbonus') }}" hx-trigger="load">
			</div>

		</article>
	</section>

</main>